package com.iflytek.cloud;

/**
 * <h3>词典更新回调接口</h3>
 * <p>通过实现此接口，获取词典更新状态</p>
 * @since version:1073
 * @author <script>gShowAuthor();</script>
 * @see SpeechRecognizer#updateLexicon
 */
public abstract interface LexiconListener {

	/**
	 * <h4>词典更新结束回调</h4>
	 * @param lexiconId  词典ID。目前即使上传成功，此值也是null，只要上传成功，个性化词表便可生效，可忽略此参数值。
	 * @param error 错误信息。值为null时表示成功，其他值时表示有错误。
	 * 		获取错误码信息请查看{@link SpeechError},详细错误码请看{@link ErrorCode}
	 * @see SpeechError
	 * @see ErrorCode
	 */
	void onLexiconUpdated(String lexiconId,SpeechError error);
}
